%define         rel 051
Summary:        The GNU Bourne Again shell (bash) version %{version}.
Name:           bash
Version: 	3.2
Release: 	2
Group: 		System
Copyright: 	GPL
Source0: 	ftp://ftp.gnu.org/gnu/bash/bash-%{version}.tar.gz
Source1:	%{name}-%{version}.%{rel}-patches.tar.bz2
BuildRoot: 	/var/tmp/%{name}-root
Provides:	bash2 bash3 /bin/sh /bin/ksh /bin/bash
%define		_sysconfdir	/etc

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification. This
package (bash) contains bash version %{version}, which improves POSIX
compliance over previous versions. However, many old shell scripts
will depend upon the behavior of bash 1.14, which is included in the
bash1 package. Bash is the default shell for Red Hat Linux.  It is
popular and powerful, and you'll probably end up using it.

wget -r ftp://ftp.gnu.org/gnu/bash/bash-3.2-patches/

%prep
%setup -q
%setup -q -a1
# Official Bash patches.
for i in %{name}-%{version}.%{rel}-patches/bash32*; do
        patch -p0 -s < $i
done

%build
%configure \
	--disable-multibyte \
        --enable-alias \
        --enable-help-builtin \
        --enable-history \
        --enable-job-control \
        --enable-restricted \
        --enable-readline \
        --with-curses \
        --enable-extended-glob \
        --enable-dparen-arithmetic \
        `[ "$mode" = "static" ] && echo "--enable-static-link"` \
        --with-installed-readline

%{__make} DEFS="-DHAVE_CONFIG_H -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
{ cd $RPM_BUILD_ROOT
  mkdir ./bin
  mv ./usr/bin/bash ./bin
  ln -sf bash ./bin/bash2
  ln -sf bash ./bin/bash3
  ln -sf bash ./bin/sh
  ln -sf bash ./bin/ksh
  strip ./bin/* || :
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin
/usr/bin
/usr/man
/usr/share
